Subject: Project Inga
From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked], [email-masked]
Date: Wed, 23 Aug 2000 07:58:00 -0700 (PDT)

As you know, we have another power plant project -- if I haven't forwarded 
information to you yet, I will be doing so in the next day or so.

The schedule is for preliminary diligence to be completed by 9/8; data room 
is open 9/6.  Attached to the email I will be sending you is a list of the 
current information we have here -- lots of documents are here.  Please 
review the data list and forward to me which ones you want copied, and I will 
coordinate that process.

The stock purchase agreement draft will be circulated next week.  

Michelle